﻿////mr-bundler-ignore

function MrStartUI() {
    MrMUISecoundryColor = '#130F41';
    MrMUIPrimaryColor = '#F5F5F5';
    MrMUIToolWidth = "32vw";
    MrMUIToolMaxWidth = "650px";
    MrMUIToolMinWidth = "400px";
    MrExcludedCSSElementsSelector = ".fa, .fab, .fad, .fal, .far, .fas,i";
    Mrnoggt = false;
    MrCID = 275;
    MrAudCid = 40;
    try {
        MrArabicUIisOn = document.getElementsByTagName('html')[0].getAttribute('lang') == 'ar'
            
    } catch {

    }
   
    MrArabicFlag = "ar";

    MRUAPPrepareUI(["MrControl_Page_contrast","MrText2Speech","MrCursor_Helpers","MrChangefont","MrPage_saturation_control","MrWords_Spacing","MrRealWords_Spacing","MrLine_Spacing","MrEnlarge_Fonts","MrHighlight_Links","MrAnimation","MrText_Alignments","MrPage_Structure","MrDictionary","MrHideImgs"],["MrVisuallyImpaired","Mrdyslexia","MrADHD","MrSeizureAndEpilepsy","MrColor_Blind","Mrcognitive_education","MrImpaired_mobility"]);

    var MrIconMessage = undefined;
    if (MrArabicUIisOn) {
        MrIconMessage = "مساعدة في استخدام الموقع";
       
    } else {
        MrIconMessage = "Assist using site";
       
    }
    MrGotoArabicVersion = function () {

        try {
            document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
        } catch (err) { }
        if (!MrArabicUIisOn) {

            window.location.href = "https://mcsy.om/"
            //MrMUIApplyTranslate("ar");
            MrUPChangeToolLangToAR();
        }
    };
    MrGotoEnglishVersion = function () {

        try {
            document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
        } catch (err) { }


        if (MrArabicUIisOn) {

            window.location.href = "https://mcsy.om/?lang=en"
            // MrMUIApplyTranslate("en");
            MrUPChangeToolLAngToEN();
        }
    };
    var MrIconToAdd =
        '<div id="MrAccessInHand" title="' +
        MrIconMessage +
        '"><img src="https://cdn.mindrocketsapis.com/client/imgs/png/accessability.png" width="50" alt="' +
        MrIconMessage +
        '"></div>';
    MrUAPAddStyle(
        "#MrAccessInHand:hover { filter: brightness(1.3);} #MrAccessInHand {z-index: 99;cursor:pointer; position: fixed; bottom: 170px; left: 5px; background-color: " +
        MrMUISecoundryColor +
        "; border-radius: 5px;width:60px;height:60px;text-align:center } #MrAccessInHand img{filter:" +
        MrUtilHexToFilter(MrMUIWhite) +
        ";margin-top:5px;width:48px}",
        "MrbuttonCSS"
    );
    jQuery("body").append(MrIconToAdd);
    jQuery('#pojo-a11y-toolbar *').addClass('mr-tooltip-readSkip');
    jQuery('.screen-reader-text').addClass('mr-tooltip-readSkip');
    MrUAPAddStyle("ul#mr-tabs-list { padding-inline-start: 0px !important;} .mr-audio-player button { background-color: transparent !important; color: "+MrMUISecoundryColor+" !important; }", "MrFixUI");
    jQuery("#MrAccessInHand").click(function () {
        MrToolCheckLicense();
        MrUAPShowAssistiveTool();
          MrMUIGetGoogleTranslationValues(2);
        if (MrArabicUIisOn) {
         
            jQuery("[mrtitleen='Arabic']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='Arabic'] label").addClass("MrButtonActive");
        } else {
           
            jQuery("[mrtitleen='English']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='English'] label").addClass("MrButtonActive");
        }
      
    });
    MrUAPPrepareMrOrgColor();
    MrMUIActivateShotcuts();
}
////endmr-bundler-ignore
jQuery(document).ready(function () {
    setTimeout(function () {
        MrStartUI();
    }, 500);
});